Due to the previous changes the frontend resnet example failed to build. So this patch
1) fixes it
2) adds ~~a local `run_tests.sh` to remedy non-existence of MXNet CI (used in python build example)~~ the example build to CI with random weights and a flag for pretrained resnet weights
Please review: @tqchen @nhynes @kazimuth
A number of test scripts use the '|| exit 1' idiom. This has two
issues, first process exit codes are defined to be in the range 0-255.
Second, more importantly, the idiom is fragile because it requires
that every possible failure point be explicitly coded. This patch
removes the idiom in favour of "set -e" as used in the docker scripts
as a more robust mechanism to ensure that script failures are always
caught and propagated by default.
* [SCRIPT] Refactor grep for multiple patterns
Tidy up the use of grep. Use -E rather than run multiple grep
instances.
* [SCRIPT] Refactor grep use in pipeline.
Prefer to use stdin redirection rather than create a pipeline.
* [SCRIPT] Refactor placement and cleanup of temporary files.
Place temporary files in the conventional /tmp location. Avoid
poisoning file name space by using $$. Ensure the temporary files get
cleaned up, even when the script fails / exits early.
* [SCRIPT] Improve robustness of task_lint.sh error handling.
Ensure script failures are caught and propagated. Rather than trying
to explicitly catch and propagate failures with explicit "|| exit"
annotations, use the "set -e" idom from docker/install scripts and
have the shell catch and propagate errors in the general case and
special case the grep instances where non zero exit is permitted and
should be ignored.
* Support TFLite FP32 Relay frontend.
* Fix lint issue
* Remove unnecessary variables and packages
* Add method doc string
* Fix capital letter of method doc string
* Add TFLite FP32 Relay frontend based on latest code
* Merge the latest code
* Solve cython issue with relay type inference
* Modify code based on suggestions
* Remove duplicated frontend tests
* Add test for nnvm to relay
* Add test to script
* Remove dcgan in nnvm_to_relay test due to unsupported op in cuda
* Fix bug in converting conv2d from nnvm to relay
* Fix dropout
* Ported injective schedules to C++. Added some elementwise ops.
* Fix lint errors
* Added reduction ops and schedules
* Fix lint errors
* Fix lint errors
* Fix lint errors
* Added transform ops
* Fix lint errors
* Fix lint errors
* Added softmax, log_softmax, leaky_relu and flatten ops.
Fixed issue where TVM_DECLARE_INTRIN_UNARY used the PureExtern flag
instead of PureIntrinsic.
Added softmax CUDA schedule.
* Fix lint
* Fix lint
* Added binary_dense, batch_norm_inference, dense, dilate, scale_shift_*,
global_pool and pool ops.
Extended pad to allow specifying pad_value.
Fixed issue where pad would throw if padding was zero in all dimensions.
* Fix lint
* Fix lint
* Added CUDA schedules for dense, pool and global_pool
* Added extern schedules for generic and CUDA
* Fix lint
* Added x86 binary schedules
* Fix lint
* Added rocm dense schedule. Added rocBLAS and cuBLAS support to dense ops
* Added pow ops. Added x86 default and injective schedules
* Fix lint
* Fix lint
* Fix lint
* Fix lint
* Fix lint
* Fix indent
* Removed schedules directory
* Changed left_shift, right_shift to operators. Changed pad_value in pad() to remove pointer usage
* Fixed usage of pad in nn/pooling.h. Fixed declaration of operator>>
* Fixed comments for shift operators
* Added comments to utility functions
* Added TOPI C++ library, exporting broadcast_add op
* Fix lint
* Share libinfo.py with TVM
* Fix lint
* Add other broadcast ops
* Fix lint
* Fix imports in topi
* Fix lib names
* Fixed build issue where windows builds don't apply correct definitions
* Removed TVM_EXPORTS from topi library
* Attempted CI build fix
* Add topi lib to tvm_multilib
* Fix Jenkinsfile
* Added TOPI build target to Makefile
* Fix nn op namespaces.
* Fix lint
* Renamed TOPI lib to libtvm_topi
* Removed _ffi/base.py
* Remove _ffi from topi, now shared with tvm.
* Make libtvm_topi loading optional
* Fix compiler warnings
* Fix lint
* Fix lint
* Fix lint
* Fix build error by making new libs argument to Target optional
* Added C++ Target type interop. Added registration of remaining C++ ops and schedules. Added test of broadcast ops
* Fix lint
* Fix lint
* Fix compile error
* Fix compiler warnings
* Fix compiler warnings
* Fixed int vector interop. Fixed argmin incorrectly invoking argmax. Fixed corner case in default schedules of attempting to fuse 0 length axes. Added tests for reduce ops.
* Refactored reduce builders
* Fixed typos in topi.cc. Added basic test.
* Fixed padding size error. Added dense, dilate, pooling tests
* Fixed issue where clip would output a different dtype to the input. Added split_sections op to cover the other mode of the python split op. Added tests.
* Changed extension type numbers to avoid clash with NNVM
* Fix lint
* Fix compiler warnings
* Removed use of std::vector from the public TOPI API
* Fix lint
* Add TOPI C++ tests to CI
* Fixed detail namespacing. Improved comments.